%define pkg_name        SOAP-Data-Builder
%define pkg_version     0.9
%define rpm_pkg_version 0.9
%define rpm_pkg_release 2.n0i.6

Summary:       A wrapper simplifying SOAP::Data and SOAP::Serialiser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TE/TEEJAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(SOAP::Lite) >= 0.65}


%description
This Module provides a quick and easy way to build complex SOAP data
and header structures for use with SOAP::Lite.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes CREDITS examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.9-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 0.9-1.n0i.5
- version 0.9

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.8-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.8-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.8-1.n0i.2
- version 0.8

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.1
- version 0.7
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
